[Groonga-mysql-commit] mroonga/mroonga [master] [apt] get groonga apt repository key only if it doesn't exist.

Back to archive index

null+****@clear***** null+****@clear*****
2011年 3月 29日 (火) 22:03:00 JST


Kouhei Sutou	2011-03-29 13:03:00 +0000 (Tue, 29 Mar 2011)

  New Revision: 3e291d3631d1813e81487f63f9cc44432ab3afcc

  Log:
    [apt] get groonga apt repository key only if it doesn't exist.

  Modified files:
    apt/build-deb.sh

  Modified: apt/build-deb.sh (+4 -1)
===================================================================
--- apt/build-deb.sh    2011-01-13 05:48:19 +0000 (e693d25)
+++ apt/build-deb.sh    2011-03-29 13:03:00 +0000 (2648be0)
@@ -22,7 +22,10 @@ run()
 grep '^deb ' /etc/apt/sources.list | \
     sed -e 's/^deb /deb-src /' > /etc/apt/sources.list.d/base-source.list
 
-apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 1C837F31
+groonga_apt_key=1C837F31
+if ! apt-key list | grep -q ${groonga_apt_key}; then
+    apt-key adv --recv-keys --keyserver keyserver.ubuntu.com ${groonga_apt_key}
+fi
 
 if [ ! -x /usr/bin/aptitude ]; then
     run apt-get update




Groonga-mysql-commit メーリングリストの案内
Back to archive index